コンテンツへスキップ

Hyper3D Rodin

統合

モデルID hyper3d/rodin
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hyper3d/rodin?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": ""
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.40 400 APIクレジット このページで実行

APIキーを取得
Hyper3D 画像から3D 高速 #stylized

テキストまたは画像からRodin 3Dを生成。PBRまたは陰影付きマテリアルと品質段階に対応

Hyper3D · 3D

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

0 / 1024

テキストとして指定する生成ガイダンス。Text-to-3D モードでは必須ですが、Image-to-3D モードでは省略できます。

詳細設定 input_image_urls · condition_mode · geometry_file_format · material · quality · tier · addons · seed · use_hyper · TAPose · bbox_condition
ファイルをドロップ、または

ソース画像 URL。Image-to-3D では必須で、Text-to-3D ではモデル生成のために任意で使用できます。

condition_mode デフォルト concat

画像の条件付け方式。concat は 1 つのオブジェクトの複数ビューからモデルを構築し、アップロード順序は問いません。fuse は 1 枚以上の画像を必要とし、オブジェクトの特徴を抽出して画像間で統合し、モデルを作成します。

geometry_file_format デフォルト glb

ジオメトリのファイル形式。glb、usdz、fbx、obj、stl から選択します。デフォルトは glb です。

material デフォルト PBR

マテリアルの選択。PBR または Shaded。デフォルトは PBR です。

quality デフォルト medium

生成品質。high、medium、low、extra-low から選択します。デフォルトは medium です。

tier デフォルト Regular

生成ティアの選択。Rodin Sketch には Sketch、Rodin Regular には Regular を使用します。

任意の生成アドオン。デフォルトは [] です。利用可能な HighPack オプションはハイポリモデルを提供し、テクスチャ解像度をデフォルトの 1K から 4K に上げます。

任意のランダム化シード。範囲は 0~65535 です。

通常は 3 要素で構成されるバウンディングボックス配列。X 軸の長さ、Y 軸の幅、Z 軸の高さの順で、ボックスの寸法とスケール係数を指定します。

POST /run/hyper3d/rodin?wait=20 見積もり → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hyper3d/rodin?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": ""
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Hyper3D Rodinについて

最大1024文字のプロンプト、入力画像、またはその両方から3Dモデルを生成します。複数画像入力では`condition_mode`にfuseまたはconcatを指定します。`quality`はextra-low〜high、`material`はPBRまたはShaded、`tier`はRegularまたはSketchから選択できます。`TAPose`、`bbox_condition`、glb、usdz、fbx、obj、stlのエクスポートにも対応します。

パラメータ

名前型 デフォルト許可される値 説明
prompt任意
型string
デフォルト
≤ 1,024文字
テキストとして指定する生成ガイダンス。Text-to-3D モードでは必須ですが、Image-to-3D モードでは省略できます。
input_image_urls任意
型url[] · image
ソース画像 URL。Image-to-3D では必須で、Text-to-3D ではモデル生成のために任意で使用できます。
condition_mode任意
型enum
デフォルトconcat
fuseconcat
画像の条件付け方式。concat は 1 つのオブジェクトの複数ビューからモデルを構築し、アップロード順序は問いません。fuse は 1 枚以上の画像を必要とし、オブジェクトの特徴を抽出して画像間で統合し、モデルを作成します。
seed任意
型integer | null
0 – 65,535
任意のランダム化シード。範囲は 0~65535 です。
geometry_file_format任意
型enum
デフォルトglb
glbusdzfbxobjstl
ジオメトリのファイル形式。glb、usdz、fbx、obj、stl から選択します。デフォルトは glb です。
material任意
型enum
デフォルトPBR
PBRShaded
マテリアルの選択。PBR または Shaded。デフォルトは PBR です。
quality任意
型enum
デフォルトmedium
highmediumlowextra-low
生成品質。high、medium、low、extra-low から選択します。デフォルトは medium です。
use_hyper任意
型boolean
デフォルトfalse
hyper-mode モデルのエクスポートを制御します。デフォルトは false です。
tier任意
型enum
デフォルトRegular
RegularSketch
生成ティアの選択。Rodin Sketch には Sketch、Rodin Regular には Regular を使用します。
TAPose任意
型boolean
デフォルトfalse
人型モデルを T/A ポーズで生成するかどうかを制御します。
bbox_condition任意
型integer[]
通常は 3 要素で構成されるバウンディングボックス配列。X 軸の長さ、Y 軸の幅、Z 軸の高さの順で、ボックスの寸法とスケール係数を指定します。
addons任意
型string | null
任意の生成アドオン。デフォルトは [] です。利用可能な HighPack オプションはハイポリモデルを提供し、テクスチャ解像度をデフォルトの 1K から 4K に上げます。
必須

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hyper3d/rodin",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "prompt": ""
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "seed": 42,
    "textures": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
model_mesh
object {url, content_type, file_name, file_size}生成された 3D オブジェクトを含むファイルです。
seed
integer生成時に適用するシード。
textures
array of object {url, content_type, file_name, file_size, width, height}3D オブジェクト用に生成されたテクスチャです。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/hyper3d/rodin.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt